org.apache.xmlgraphics.java2d.color

## Interface ColorSpaceOrigin

- All Known Implementing Classes:
    DeviceCMYKColorSpace, ICCColorSpaceWithIntent, NamedColorSpace

      public interface ColorSpaceOrigin

  Interface used to decorate java.awt.color.ColorSpaces subclasses to report the origin of the associated color profile.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getProfileName()` Returns the name of the profile used to identify the color space in a particular context.
    `java.lang.String` | `getProfileURI()` Returns the URI identifying the associate color profile.

- - ### Method Detail

    - #### getProfileName

          java.lang.String getProfileName()

      Returns the name of the profile used to identify the color space in a particular context.
      Returns:
        the profile name

    - #### getProfileURI

          java.lang.String getProfileURI()

      Returns the URI identifying the associate color profile.
      Returns:
        the profile URI

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.